/*  ==========================================================================
    // Checkboxes
    //
    // Material Design Checkboxes - 
    // Source: http://www.cssscript.com/google-material-design-style-checkbox-transition-effect-with-css3/
    //
    // Markup: forms-checkbox.html
    //
    // Style guide: Modules.Checkbox
    //
    ========================================================================== */

    input[type="checkbox"]
    {
      margin-right: 8px;

      &:focus
        {
            outline: 0;
        }
    }

    .checkbox-container
    {
        position: relative;

        @include inline-block;
        width: calc(#{$checkbox-width} + 2px);
        height: calc(#{$checkbox-width} + 2px);

        + label
        {
            @include inline-block;
            width: calc(100% - #{$checkbox-width} - #{$checkbox-width});
            margin-left: 8px;
        }
    }

    input
    {
        &.checkbox
        {
            width: $checkbox-width;
            height: $checkbox-width;
            margin-top: 2px;
            
            vertical-align: top;

            + span
            {
                position: absolute;
                top: 0;
                left: 0;

                display: inline-block;
                width: 15px;
                margin: 0;

                pointer-events: none;
                cursor: pointer;
            }
        }
    }

    .checkbox + span:before
    {
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
        content: "";
        position: absolute;
        left: 0;
        top: -1px;
        z-index: 1;
        width: $checkbox-width;
        height: $checkbox-width;
        border: $checkbox-border;
        border-radius: $checkbox-border-radius;
    }

    .checkbox:checked + span:before
    {
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        -o-transform: rotate(-45deg);
        transform: rotate(-45deg);
        height: $checkbox-check-height;
        width: $checkbox-check-width;
        top: $checkbox-check-top;
        left: $checkbox-check-left;
        border-color: $checkbox-check-color;
        border-top-style: none;
        border-right-style: none;
        border-width: $checkbox-check-border-width;
    }

    .checkbox:checked + span:after
    {
        background-color: $positive;
        border-radius: $checkbox-border-radius;
        border-color: $positive;
    }

    .checkbox + span:after
    {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        background: $checkbox-background;
        cursor: pointer;
        width: calc(#{$checkbox-width} + 2px);
        height: calc(#{$checkbox-width} + 2px);
        box-shadow: $checkbox-box-shadow;
        border: $checkbox-bg-border;
    }